Bug 183531 - New port: sysutils/zsd Destroys ZFS snapshots
Summary: New port: sysutils/zsd Destroys ZFS snapshots
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-31 16:00 UTC by Fabian Keil
Modified: 2014-02-06 16:40 UTC (History)
0 users

See Also:


Attachments
file.shar (2.04 KB, text/plain)
2013-10-31 16:00 UTC, Fabian Keil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2013-10-31 16:00:00 UTC
zsd (ZFS snapshot destroyer) is a zfs(8) wrapper to destroy snapshots
on a given dataset using a more convenient interface.

The number of snapshots to destroy can be specified directly, or
indirectly by specifying the number of snapshots that should be kept.

It goes nicely with zogftw's zogftw_snapshot_successfully_sent_hook()
to grow a certain number of snapshots on new datasets while keeping the
number of snapshots on old datasets constant.

WWW: http://www.fabiankeil.de/gehacktes/zsd/

Fix: Patch attached with submission follows:
Comment 1 Pawel Pekala freebsd_committer 2014-02-06 16:28:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-02-06 16:37:50 UTC
Author: pawel
Date: Thu Feb  6 16:37:42 2014
New Revision: 343124
URL: http://svnweb.freebsd.org/changeset/ports/343124
QAT: https://qat.redports.org/buildarchive/r343124/

Log:
  zsd (ZFS snapshot destroyer) is a zfs(8) wrapper to destroy snapshots
  on a given dataset using a more convenient interface.
  
  The number of snapshots to destroy can be specified directly, or
  indirectly by specifying the number of snapshots that should be kept.
  
  It goes nicely with zogftw's zogftw_snapshot_successfully_sent_hook()
  to grow a certain number of snapshots on new datasets while keeping the
  number of snapshots on old datasets constant.
  
  WWW: http://www.fabiankeil.de/gehacktes/zsd/
  
  PR:		ports/183531
  Submitted by:	Fabian Keil <fk@fabiankeil.de>

Added:
  head/sysutils/zsd/
  head/sysutils/zsd/Makefile   (contents, props changed)
  head/sysutils/zsd/distinfo   (contents, props changed)
  head/sysutils/zsd/pkg-descr   (contents, props changed)
Modified:
  head/sysutils/Makefile

Modified: head/sysutils/Makefile
==============================================================================
--- head/sysutils/Makefile	Thu Feb  6 16:34:40 2014	(r343123)
+++ head/sysutils/Makefile	Thu Feb  6 16:37:42 2014	(r343124)
@@ -1072,6 +1072,7 @@
     SUBDIR += zisofs-tools
     SUBDIR += zogftw
     SUBDIR += zrep
+    SUBDIR += zsd
     SUBDIR += zxfer
 
 .include <bsd.port.subdir.mk>

Added: head/sysutils/zsd/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/zsd/Makefile	Thu Feb  6 16:37:42 2014	(r343124)
@@ -0,0 +1,26 @@
+# Created by: Fabian Keil <fk@fabiankeil.de>
+# $FreeBSD$
+
+PORTNAME=	zsd
+PORTVERSION=	0.0.2013.10.08
+CATEGORIES=	sysutils
+MASTER_SITES=	http://www.fabiankeil.de/sourcecode/zfs-snapshot-destroyer/
+DISTNAME=	${PORTNAME}-2013-10-08-f7cd2b3
+
+MAINTAINER=	fk@fabiankeil.de
+COMMENT=	Destroys ZFS snapshots
+
+PLIST_FILES=	sbin/zsd \
+		man/man8/zsd.8.gz
+
+PORTSCOUT=	ignore:1
+
+USES=		perl5 shebangfix
+SHEBANG_FILES=	zsd
+NO_BUILD=	yes
+
+do-install:
+	${INSTALL_SCRIPT} ${WRKSRC}/zsd ${STAGEDIR}${PREFIX}/sbin
+	${INSTALL_MAN} ${WRKSRC}/zsd.8 ${STAGEDIR}${MANPREFIX}/man/man8
+
+.include <bsd.port.mk>

Added: head/sysutils/zsd/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/zsd/distinfo	Thu Feb  6 16:37:42 2014	(r343124)
@@ -0,0 +1,2 @@
+SHA256 (zsd-2013-10-08-f7cd2b3.tar.gz) = e4deddc71afc7f9708a12bdcde54f3317774624541f28159f708d5c657fcfe03
+SIZE (zsd-2013-10-08-f7cd2b3.tar.gz) = 6462

Added: head/sysutils/zsd/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/zsd/pkg-descr	Thu Feb  6 16:37:42 2014	(r343124)
@@ -0,0 +1,11 @@
+zsd (ZFS snapshot destroyer) is a zfs(8) wrapper to destroy snapshots
+on a given dataset using a more convenient interface.
+
+The number of snapshots to destroy can be specified directly, or
+indirectly by specifying the number of snapshots that should be kept.
+
+It goes nicely with zogftw's zogftw_snapshot_successfully_sent_hook()
+to grow a certain number of snapshots on new datasets while keeping the
+number of snapshots on old datasets constant.
+
+WWW: http://www.fabiankeil.de/gehacktes/zsd/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2014-02-06 16:38:16 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!